const { api, alertTip, imgName, getProtocol } = require('../../lib/util.js')

Page({

  /**
   * 页面的初始数据
   */
  data: {
    password:"",
    newPas:"",
    reNewPas:"",
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },
  changePass(){
    const { password, newPas, reNewPas}=this.data

    if (!password) {
      alertTip('请输入原密码')
      return
    }
    if (!newPas) {
      alertTip('请输入新密码')
      return
    }
    if (newPas != reNewPas) {
      alertTip('两次输入的密码不相同')
      return
    }
    api.post('user/editInfo', { password, newPas, reNewPas })
      .then(res => {
        alertTip(res.message)
      })
      .catch(err => {
        alertTip(err)
      })
  },
  valueInput(e) {
    this.setData({
      [e.target.id]: e.detail.detail.value
    })
  },
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})